Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXdmcp runtime library
Name: 		libXdmcp
Version: 	1.1.0
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	xorg-x11-proto-devel

Obsoletes: xorg-libs

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
X.Org X11 libXdmcp runtime library

%package devel
Summary: 	X.Org X11 libXdmcp development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# xorg-x11-proto-devel is needed by xdmcp.pc
Requires: 	xorg-x11-proto-devel

Obsoletes: xorg-devel

%description devel
X.Org X11 libXdmcp development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
# strip debug symbols
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libXdmcp.so.6
%{_libdir}/libXdmcp.so.6.0.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/Xdmcp.h
%if %{with_static}
%{_libdir}/libXdmcp.a
%endif
%{_libdir}/libXdmcp.so
%{_libdir}/pkgconfig/xdmcp.pc
%{_datadir}/doc/libXdmcp/xdmcp.xml

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- version update
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-2
- rebuilt
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-4
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-3
- rebuilt, updated dependencies
* Thu Apr 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-2
- rebuilt
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
